プラットフォーム要件

イントロダクション

このセクションには、Wwise サウンドエンジンの現バージョンをビルドするために使用されている様々なツールのバージョンが記載されています。

一般的なツール

Microsoft Visual Studio の以下のバージョンが Wwise ライブラリを構築するために使用されています:

  • Microsoft® Visual Studio 2008: バージョン 9.0.30729.1
  • Microsoft® Visual Studio 2010: バージョン 10.0.40219.1
  • Microsoft® Visual Studio 2012: バージョン 11.0.61030.00 (Update 4)
  • Microsoft® Visual Studio 2013: バージョン 12.0.30501.00 (Update 2)
  • Microsoft® Visual Studio 2015: バージョン 14.0.23107.0

Wwise SDK インストールディレクトリには、Win32 と x64 の両方に "_vc90" または "_vc100" が接尾されています:

  • vc90: CRT DLL のバージョン 9.0.30729.6161 に依存する Debug、Profile および Release バージョン Wwise 用のライブラリが含まれており、これは Visual Studio 2008 のバージョン 9.0.30729.1 (Visual Studio の KB971092 アップデート)に対応。
  • vc100: CRT DLL のバージョン 10.0.40219.1 に依存する Debug、Profile および Release バージョン Wwise 用のライブラリが含まれており、これは Visual Studio 2010 Service Pack 1 のバージョン 10.0.40219.1 に対応。
  • vc120: Contains libraries for the Debug, Profile, and Release versions of Wwise that have a dependency on version 12.0.30501.00 of the CRT DLL, which corresponds to Visual Studio 2013 Service Pack 2 version 12.0.30501.00.

Visual Studio の異なるバージョンを使用している場合、または、ゲームを CRT DLL の上記バージョンのいずれにも依存させたくない場合は、代わりに Debug(StaticCRT)、Profile(StaticCRT) および Release(StaticCRT)フォルダからライブラリへリンクすることができます。

Caution.gif

Caution: Windowsプラットフォーム用C + +プロジェクトの64ビットバージョンをビルドするには、Visual Studioと一緒にオプションの "X64 Compilers and Tools(X64コンパイラとツール)" コンポーネントがインストールされている必要があります。次の手順は、Visual Studio 2008 およびその他のエディション向けです。

「X64コンパイラおよびツール」がインストールされているかかどうかを確認するには、以下の手順に従ってください:

  1. Windows XP を使用の場合、「コントロールパネル」の「プログラムの追加と削除」へ移動します。
    Windows Vista の場合、「コントロールパネル」の「プログラムと機能」へ移動します。
  2. "Microsoft Visual Studio 2008 Professional Edition - ENU" を選択します(実際の名前はバージョンとエディションによって異なります)。
  3. Windows XP の場合、その行の「変更/削除」をクリックします。
    Windows Vista の場合、リストの一番上にある「アンインストール/変更」をクリックします。
  4. セットアップの準備ができたら(これには数分かかる場合があります)、「次へ」それから「機能の追加と削除」をクリックします。
  5. "Microsoft Visual Studio 2008 Professional Edition" > "言語ツール" > "Visual C++" を展開します。
  6. 「X64 コンパイラおよびツール」チェックボックスが選択されていることを確認します。そうでない場合は、これを選択してアップデートを続行します。
Note.gif
Note: Visual Studio 2005 のサポートは、バージョン 2010.3 で削除されました。


Android

  • Android SDK: 32bit、最低限APIは9、64bit、最低限APIは21
  • Android SDK Tools: 24.1.2
  • Android NDK: r10e
  • Apache Ant: 1.8.4

iOS

  • iOS Deployment Target: 6.0
  • iOS SDK: 9.2
  • tvOS Deployment Target: 9.1
  • tvOS SDK: 9.1 (tvOS)
  • Xcode®: 7.2 (Apple LLVM コンパイラ 7.0.2)

Mac

  • Mac OS X: v10.6 Snow Leopard®
  • Xcode®: 7.2 (Apple LLVM コンパイラ 7.0.2)
  • Mac SDK: OS X 10.11
  • Intel ベースの Mac (PowerPCのサポートなし)

Linux

  • Compiler: GCC 4.8.1
  • Build Environment: Steam Runtime

PlayStation 3

  • SDK: 475.001
  • Toolchain: 420.001
  • Visual Studio インテグレーション

PlayStation 4

  • SDK: SDK 3.500

Vita

  • VITA SDK: バージョン 3.500

ニンテンドー3DS

  • CTR-SDK: 7.2.1
  • ARMCC 4.1 for Nintendo: 20140725 ビルド 1440

Wii

  • NINTENDO Revolution SDK:バージョン 3.3
  • NINTENDO RevoEX SDK: バージョン 2.4 (Wwiseとのコミュニケーション)
  • Freescale CodeWarrior for Wii: バージョン 1.7
  • GNU Make: バージョン 3.80

Wii U

  • NINTENDO Cafe SDK: バージョン 2.12.13
  • NINTENDO Cafe VSI: Cafe Platform 3.0.0 (Visual Studio 2010)
  • Green Hills System Multi: v5.3.23

Windows

  • Microsoft DirectX®: 9.29.952.3111 (2010年6月)
Note.gif
Note: SDKの複数バージョンがある場合には、DirectX® SDK の環境変数 DXSDK_DIR が適切なディレクトリを指していることを確認してください。

Xbox 360

  • Microsoft® XDK: ビルド 21256 (2013年9月)

Xbox One

  • Microsoft® XDK: XDK (2016年3月)